MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007668ardourbugspublic2018-09-29 10:012018-10-12 10:07
Reporterjohne53 
Assigned Tojohne53 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007668: VST plugins crashing due to 'idle' implementation
DescriptionBack on 30th July, commit #98769796d7 modified 'libs/ardour/session_vst.cc' to remove an 'idle()' implementation when responding to the VST message 'audioMasterUpdateDisplay'. This was done in response to a bug reported on the Mixbus forum which was causing a particular plugin to crash:-

http://mixbus.harrisonconsoles.com/forum/thread-6229-post-37127.html [^]

I've just noticed that commit #9ccace8f0d effectively re-implemented the idle functionality (albeit using a different strategy). However, this has simply re-introduce the bug - which now affects other plugins apart from the original one:-

http://mixbus.harrisonconsoles.com/forum/thread-6497.html [^]
Steps To ReproduceSee Tassy's Youtube video here:-

https://www.youtube.com/watch?v=yYUSNlez5RU&feature=youtu.be [^]
Additional InformationReverting commit #9ccace8f0d removes the crashes
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0020393)
x42 (administrator)
2018-09-30 12:34

If you revert 9ccace8f0d then you can also remove the function fst_audio_master_idle() form the codebase.

But I think the issue is rather in

void fst_audio_master_idle(void) {
  while(g_main_context_iteration(NULL, FALSE));
}

that may live-loops if a system is overloaded and never idles. Or there may be a deeper event-loop issue here.


PS. 98769796d7c is unrelated here, that called the plugin's effEditIdle.
(0020394)
johne53 (reporter)
2018-10-01 04:00

Thanks Robin,

It looks like fst_audio_master_idle() got added a few years ago to solve a different issue with VST plugins but I've a feeling it shouldn't get used as a response to this particular event. In this case I'd be tempted to take it out as it mostly seems to cause problems.
(0020398)
johne53 (reporter)
2018-10-12 10:05
edited on: 2018-10-12 10:07

This seems fixed now if somebody wants to mark it as resolved

[Edit...] oops - I just realised I can do it myself !!


- Issue History
Date Modified Username Field Change
2018-09-29 10:01 johne53 New Issue
2018-09-30 12:34 x42 Note Added: 0020393
2018-10-01 04:00 johne53 Note Added: 0020394
2018-10-04 02:12 user3465 Note Added: 0020395
2018-10-04 02:13 user3465 Note Edited: 0020395 View Revisions
2018-10-04 06:58 x42 Note Deleted: 0020395
2018-10-12 10:05 johne53 Note Added: 0020398
2018-10-12 10:06 johne53 Note Edited: 0020398 View Revisions
2018-10-12 10:06 johne53 Status new => resolved
2018-10-12 10:06 johne53 Resolution open => fixed
2018-10-12 10:06 johne53 Assigned To => johne53
2018-10-12 10:07 johne53 Note Edited: 0020398 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker